Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Transmit_File_Result_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Transmit_File::Result. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Transmit_File_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Transmit_File_Result_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Asynch_Transmit_File_Result_Impl (void)
virtual ACE_HANDLE | socket (void) const=0
| Socket used for transmitting the file. More...
virtual ACE_HANDLE | file (void) const=0
| File from which the data is read. More...
virtual ACE_Asynch_Transmit_File::Header_And_Trailer * | header_and_trailer (void) const=0
| Header and trailer data associated with this transmit file. More...
virtual u_long | bytes_to_write (void) const=0
| The number of bytes which were requested at the start of the asynchronous transmit file. More...
virtual u_long | bytes_per_send (void) const=0
| Number of bytes per send requested at the start of the transmit file. More...
virtual u_long | flags (void) const=0
| Flags which were passed into transmit file. More...
## Protected Methods
| ACE_Asynch_Transmit_File_Result_Impl (void)
| Do-nothing constructor. More...

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Transmit_File::Result.

## Constructor & Destructor Documentation

ACE_Asynch_Transmit_File_Result_Impl::~ACE_Asynch_Transmit_File_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Transmit_File_Result_Impl::ACE_Asynch_Transmit_File_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual u_long ACE_Asynch_Transmit_File_Result_Impl::bytes_per_send | ( | void |  | ) | const`[pure virtual]`

| Number of bytes per send requested at the start of the transmit file. Reimplemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual u_long ACE_Asynch_Transmit_File_Result_Impl::bytes_to_write | ( | void |  | ) | const`[pure virtual]`

| The number of bytes which were requested at the start of the asynchronous transmit file. Reimplemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual ACE_HANDLE ACE_Asynch_Transmit_File_Result_Impl::file | ( | void |  | ) | const`[pure virtual]`

| File from which the data is read. Reimplemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual u_long ACE_Asynch_Transmit_File_Result_Impl::flags | ( | void |  | ) | const`[pure virtual]`

| Flags which were passed into transmit file. Reimplemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual ACE_Asynch_Transmit_File::Header_And_Trailer* ACE_Asynch_Transmit_File_Result_Impl::header_and_trailer | ( | void |  | ) | const`[pure virtual]`

| Header and trailer data associated with this transmit file. Reimplemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual ACE_HANDLE ACE_Asynch_Transmit_File_Result_Impl::socket | ( | void |  | ) | const`[pure virtual]`

| Socket used for transmitting the file. Reimplemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.i